- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Parent QML Type

The Parent element contains information about the event or todo that generated this item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- originalDate : date
- parentId : string

## Signals

- onDetailChanged()

## Methods

- bool setValue(field, value)
- variant value(field)

## Detailed Description

The following fields are supported:

- Parent.FieldParentId
- Parent.FieldOriginalDate

See also QOrganizerItemParent.

## Property Documentation

originalDate : date

This property holds the original date of this instance origin item.

parentId : string

This property holds the organizer item id of the parent recurrent event or todo.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.

## Method Documentation

bool setValue(field, value)

See also value() and Detail::setValue.

variant value(field)

See also setValue() and Detail::value.